Bug 117784 - "Bullets and Numbering" menu does not show any dialog
Summary: "Bullets and Numbering" menu does not show any dialog
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.2.0 target:6.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: LOOL-Tunneled-Dialogs
  Show dependency treegraph
 
Reported: 2018-05-24 17:59 UTC by Ranulfo Netto
Modified: 2019-02-03 05:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ranulfo Netto 2018-05-24 17:59:04 UTC
Description:
Bullets and numbering dialog is not shown when the corresponding menu is clicked.

Steps to Reproduce:
1. Open any document with LibreOffice Online.
2. click on "Format" and then "Bullets and Numbering".
3. The dialog won't open. No error message is informed.

Actual Results:  
Bullets and Numbering dialog is not shown.

Expected Results:
Bullets and numbering dialog should be opened like any other dialog (Format -> Paragraph works, for example).

Reproducible: Always

Additional Info:
 * I also tried to do same action through browser console performing "map.sendUnoCommand('.uno:OutlineBullet')" but no dialog either.
 * Performing "map.sendUnoCommand('.uno:ParagraphDialog')" for example, works perfectly.

Client System Information:
Ubuntu 16.04
User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36

Host System Information:
CentOS 7 running docker
LOOLWSD
master.. (git hash: 8f8fbd6) - https://gerrit.libreoffice.org/gitweb?p=online.git&a=log&h=8f8fbd6
LOKit
LibreOffice 6.1.0.0.alpha1 (git hash: 95d5fc7) - https://gerrit.libreoffice.org/gitweb?p=core.git&a=log&h=95d5fc7
User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.94 Safari/537.36
Comment 1 Aron Budea 2018-05-29 23:36:58 UTC
Confirmed with online+core master build.
Comment 2 Aron Budea 2018-08-14 01:10:27 UTC
This is actually a regression from the following commit, which must be affecting dialog tunneling. It likely can't be reproduced in core at all, so no point in adding Caolán.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=972a4a88cf1caec63cb3dcd3be610d1a840f50c9
author		Caolán McNamara <caolanm@redhat.com>	2018-03-05 11:45:16 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2018-03-05 14:48:28 +0100

there's already a way to pass around the SfxRequest source frame
Comment 3 Aron Budea 2018-10-02 22:41:19 UTC
Actually, here's a reproducer using gtktiledviewer:
- Start it from a core build like this:
  bin/run gtktiledviewer --lo-path=$PWD/instdir/program <ODT file with path>
- Click the rombus with question mark, and enter the following as UNO command, then click Execute: OutlineBullet

The dialog should appear, but nothing happens.
Tested with LO 6.2.0.0.alpha0+ build (b6429f3e72a705e41e1da6b6402bd7aba12ab11f) Ubuntu 18.10.
Comment 4 Commit Notification 2018-10-03 19:05:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf8d6f6f3651d4dfa2244f981061fc6ec2e2f353

Resolves: tdf#117784 inherit SfxTabDialogController from SfxDialogController

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2018-10-03 19:08:22 UTC
this works now in gtktiledviewer so I'll assume its fixed
Comment 6 Aron Budea 2018-10-04 22:51:50 UTC
Verified, thanks for the fix, Caolán!

LOOLWSD master.. (git hash: 250ffe6f)
LOKit   LibreOfficeDev 6.2.0.0.alpha0 (git hash: 5f5d890)
Comment 7 Commit Notification 2018-10-31 09:25:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/4947deeaee3c94b022930fbf69ac839121133c09%5E%21

Resolves: tdf#117784 inherit SfxTabDialogController from SfxDialogController

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.